• 카테고리

    질문 & 답변
  • 세부 분야

    프론트엔드

  • 해결 여부

    미해결

webpack-dev-server 에러 질문입니다.

20.11.12 01:20 작성 조회수 331

1

npm start 하면 위 내용 처럼 에러가 발생합니다. 해결 방법이 있을까요?

답변 5

·

답변을 작성해보세요.

9

seed님의 프로필

seed

2020.11.30

webpack4 에서 사용하던 webpack-dev-server는
webpack5로 넘어오면서 webpack serve로 변경되었습니다.

"scripts"에는 아래와 같이 작성해주세요.

"start""webpack serve"

자세한 사항은 아래 링크들을 통해 보시면 좋을 것 같습니다.

https://webpack.js.org/configuration/dev-server/

https://www.taniarascia.com/how-to-use-webpack/

https://www.zerocho.com/category/Webpack/post/5f97c8c6591c990004e1f5f1

1

alexander님의 프로필

alexander

2022.01.17

아래 패키지 버전으로 겨우 성공했습니다.

매번 맞는 패키지간 버전 찾는데 시간 허비가 너무 많네요 ㅠ

"webpack": "^4.44.0",
"webpack-cli": "^3.3.10"
"webpack-dev-server": "^3.11.3"

1

김의중님의 프로필

김의중

2021.08.18

webpack4 사용중이시면 webpack-cli 를 3.3.10 으로 설치하시면 됩니다.

1

사용하신 웹팩 버전이 강의에서 사용할 버전과 달라서 나오는 문제인것 같습니다.

다음 명령어로 웹팩 4 버전을 설치하신 뒤에 한 번 진행 보시고 안되면 다시 말씀해 주세요.

  • npm i webpack@4 

0

강의에서 사용한 패키지 버전입니다. 수업에 참고해 주세요.